本文へ移動
Bounty Developer

GET/api/meets/requests/{id}

「出会い」の分類の、情報を読み出す API。ログインした本人として呼ぶ。

要約

依頼の詳細

呼び方と印

ログイン・ポーリング

画面が一定の間隔で呼び直す前提の API(ポーリング)。

URL に付ける値(パラメータ)

経路の中の波かっこの部分と、URL の ? の後ろに付ける値。「必須」の印があるものは省けない。

  • idpath必須string(uuid)

返るもの(応答)200 · application/json

成功したときに返る形。入れ子の欄は、その行を押すと開く・閉じる。「任意」の印がある欄は返らないことがある。

  • revinteger
  • requestobject
    • meetingMode"onsite" | "online"
    • idstring
    • kind"plan" | "now"
    • statusenum(7)"proposed" "accepted" "declined" "countered" "canceled" "expired" "done"
    • direction"in" | "out"
    • meobject
      • idstring
      • displayNamestring
      • avatarUrlstring | null
      • titlestring | null
      • orgNamestring | null
      • catchphrasestring | null
      • wantedobject | null
        • bountynumber
    • otherobject
      • idstring
      • displayNamestring
      • avatarUrlstring | null
      • titlestring | null
      • orgNamestring | null
      • catchphrasestring | null
      • wantedobject | null
        • bountynumber
    • spotobject | null
      • idstring
      • namestring
      • descriptionstring | null
      • mapXnumber | null
      • mapYnumber | null
      • mapIdstring | null
      • tableCount任意integer1–999
    • mapPinobject | null
      • mapobject
        • idstring
        • namestring
        • widthinteger
        • heightinteger
        • urlstring
        • createdAtstring
      • xnumber
      • ynumber
      • labelstring
    • placeTextstring | null
    • proposedAtstring | null
    • expiresAtstring | null
    • messagestring | null
    • createdAtstring
    • respondedAtstring | null
    • parentIdstring | null
    • childIdstring | null
    • pingsarray<object>
      • idstring
      • from"me" | "other"
      • kind"stamp" | "arrived"
      • stampstring | null
      • createdAtstring
    • arrivedobject
      • meboolean
      • otherboolean
    • canrecord<boolean>
    • outcomeobject | null
      • createdboolean
      • pointsnumber
      • pointsEachnumber
      • bountynumber
      • otherobject
        • idstring
        • displayNamestring
        • avatarUrlstring | null
        • titlestring | null
        • orgNamestring | null
        • catchphrasestring | null
        • wantedobject | null
          • bountynumber
    • wall任意object | null
      • shiftIdstring
      • seatNamestring
      • placeLabelstring
      • minutesinteger5–15
      • startsAtstring
      • endsAtstring
      • shiftStartsAtstring
      • shiftEndsAtstring
      • timezonestring
      • hrefstring
    • table任意object | null
      • spotNamestring
      • tableNointeger | null≥1
      • placestring
      • labelstring
    • followup任意object | null
      • phase"open" | "closed"
      • closesAtstring
      • mineobject | null
        • metboolean
        • againboolean
      • mutualboolean
      • againobject | null
        • slotstring | null
        • spotIdstring | null
        • eventEndedboolean
        • conversationIdstring | null

失敗したとき(エラー)

失敗したときの状態コードと、その意味。本文の error の値で、プログラムが失敗の種類を見分けられる。

  • 400入力の誤り(error = invalid_input など)
  • 401未ログイン(unauthorized)/ Bearer が無効(invalid_token。WWW-Authenticate 付き)
  • 403権限が無い

呼び出しの見本

そのまま試せる呼び出しの例。curl と fetch をタブで切り替える。ID やトークンは自分の値に置き換える。

curl "https://bounty.spikes.4s.link/api/meets/requests/{id}" \
  -H "Authorization: Bearer $BEARER_AUTH"
GET /api/meets/requests/{id} | Bounty Developer